Bio::Tools::Run::Analysis::soap(3)

NAME
Bio::Tools::Run::Analysis::soap - A SOAP-based access to the analysis tools

SYNOPSIS
Do not use this object directly, it is recommended to access it and use it through the "Bio::Tools::Run::Analysis" module:

  use Bio::Tools::Run::Analysis;
  my $tool = new Bio::Tools::Run::Analysis (-access => 'soap',
                                            -name   => 'seqret');

DESCRIPTION
This object allows to execute and to control a remote analysis tool (an application, a program) using the SOAP middleware,

All its public methods are documented in the interface module "Bio::AnalysisI" and explained in tutorial available in the "analysis.pl" script.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bioperl.org
  http://bioperl.org/bioperl-bugs/

AUTHOR
Martin Senger (senger@ebi.ac.uk)

COPYRIGHT
Copyright (c) 2003, Martin Senger and EMBL-EBI. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.

SEE ALSO

•   http://industry.ebi.ac.uk/soaplab/Perl_Client.html

BUGS AND LIMITATIONS
None known at the time of writing this.

APPENDIX
Here is the rest of the object methods. Internal methods are preceded with an underscore _.

  _initialize
 Usage   : my $tool = new Bio::Tools::Run::Analysis (-access => 'soap',
                                                     -name => 'seqret',
                                                     ...);
           (_initialize is internally called from the 'new()' method)
 Returns : nothing interesting
 Args    : This module recognises and uses following arguments:
             -location
             -name
             -httpproxy
             -timeout
           Additionally, the main module Bio::Tools::Run::Analysis
           recognises also:
             -access

It populates calling object with the given arguments, and then - for some attributes and only if they are not yet populated - it assigns some default values.

This is an actual new() method (except for the real object creation and its blessing which is done in the parent class Bio::Root::Root in method _create_object).

Note that this method is called always as an object method (never as a class method) - and that the object who calls this method may already be partly initiated (from Bio::Tools::Run::Analysis::new method); so if you need to do some tricks with the 'class invocation' you need to change Bio::Analysis new method, not this one.

-location
    A URL (also called an endpoint) defining where is located a Web Service representing this analysis tool.

    Default is "http://industry.ebi.ac.uk/soap/soaplab" (an experimental service running at European Bioinformatics Institute on top of most of EMBOSS analyses).

    For example, if you run your own Web Service using Java(TM) Apache Axis toolkit, the location might be something like "http://localhost:8080/axis/services".

-name
    A name of a Web Service (also called a urn or a namespace). There is no default value (which usually means that this parameter is mandatory unless your -location parameter includes also the Web Service name).

-destroy_on_exit => '0'
    Default value is '1' which means that all Bio::Tools::Run::Analysis::Job objects - when being finalised - will send a request to the remote Web Service to forget the results of these jobs.

    If you change it to '0' make sure that you know the job identification - otherwise you will not be able to re-established connection with it (later, when you use your script again). This can be done by calling method "id" on the job object (such object is returned by any of these methods: "create_job", "run", "wait_for").

-httpproxy
    In addition to the location parameter, you may need to specify also a location/URL of an HTTP proxy server (if your site requires one). The expected format is "http://server:port". There is no default value.

-timeout
    For long(er) running jobs the HTTP connection may be time-outed. In order to avoid it (or, vice-versa, to call timeout sooner) you may specify "timeout" with the number of seconds the connection will be kept alive. Zero means to keep it alive forever. The default value is two minutes.

  is_binary
  Usage   : if ($service->is_binary ('graph_result')) { ... }
  Returns : 1 or 0
  Args    : $name is a result name we are interested in

  VERSION and Revision
 Usage   : print $Bio::Tools::Run::Analysis::soap::VERSION;
           print $Bio::Tools::Run::Analysis::soap::Revision;

  Defaults
 Usage   : print $Bio::Tools::Run::Analysis::soap::DEFAULT_LOCATION;